Dynalinks
Short links

Shorten a link

POST
/short_links
Shorten long URLs and resolve short links back to their target.

Creates a shortened link for the given URL.

Rate Limit: 600 requests per minute.

Authorization

headerAuthorization<token>

Format: Authorization: Token {api_key}

Request Body

URL to your dynalink which should be shortened

application/json
  1. body
url*string

URL to shorten

prefix?string

Prefix for the shortened link. Your link will be shortened to {prefix}{randomCharacters}. Rarely used.

Response Body

Created

application/json
  1. response
id?string

UUID of the link

Formatuuid
name?string
path?string
url?string
social_description?string
social_image_url?string
social_title?string
shortened_path?string
android_fallback_url?string
ios_fallback_url?string
enable_forced_redirect?boolean
referrer?string
ios_deferred_deep_linking_enabled?boolean
provider_token?string
campaign_token?string
android_app_id?string
ios_app_id?string
clicks?integer

Number of clicks/views for this link

Example Request
curl -X POST 'https://dynalinks.app/api/v1/short_links' \  -H 'Content-Type: application/json' \  -d '{  "url": "https://yourproject.dynalinks.app/someLongPath"}'
Example Response
{  "id": 1,  "name": "Example Link",  "shortened_path": "a4b2c"}